Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class KeyedReference

    java.lang.Object
      weblogic.uddi.client.structures.datatypes.KeyedReference

    public class KeyedReference

extends Object

The keyedReference structure holds a namespace qualified name-value pair.It is stored in the category and identifier bag.

Constructor Summary
`KeyedReference()` Class constructor.
`KeyedReference(String tModelKey, String keyName, String keyValue)` Class construstor specifying the initialization value.

Method Summary
`String` | `getKeyName()` Gets the value of the key name.
`String` | `getKeyValue()` Gets the key value.
`String` | `getTModelKey()` Gets the value of the tmodel key.
`void` | `setKeyName(String val)` Sets the value of the key name.
`void` | `setKeyValue(String val)` Sets the key value.
`void` | `setTModelKey(String val)` Sets the value of the tmodel key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyedReference

    public KeyedReference()

  Class constructor.

### KeyedReference

    public KeyedReference(String tModelKey,
                          String keyName,
                          String keyValue)

  Class construstor specifying the initialization value.

  Parameters:
    `tModelKey` - tModel key of the keyed reference.
    `keyName` - key name of the keyed reference.
    `keyValue` - key value of the keyed reference.

Method Detail

### setTModelKey

    public void setTModelKey(String val)

  Sets the value of the tmodel key.

  Parameters:
    `val` - the new value of the tmodel key.

### setKeyName

    public void setKeyName(String val)

  Sets the value of the key name.

  Parameters:
    `val` - the new value of the key name.

### setKeyValue

    public void setKeyValue(String val)

  Sets the key value.

  Parameters:
    `val` - the new key value.

### getTModelKey

    public String getTModelKey()

  Gets the value of the tmodel key.

  Returns:
    the current value of the tmodel key.

### getKeyName

    public String getKeyName()

  Gets the value of the key name.

  Returns:
    the current value of the key name.

### getKeyValue

    public String getKeyValue()

  Gets the key value.

  Returns:
    the current key value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD